IPB

Bienvenue invité ( Connexion | Inscription )

> 

Attention, Mavericks n’est pas Mac OS 9, mais OS X 10.9
Pour tout problème concernant Mavericks, merci de poster dans le forum Mac OS X / OS X

 
Reply to this topicStart new topic
> openplay et mac os 9
Options
Dikmas
posté 18 Mar 2012, 18:00
Message #1


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bonjour

J'ai acquis récement un vieux imac (celui là : http://db3.stb.s-msn.com/i/DA/2E9A62147666...1BA7BEB97A8.jpg )
Il y a mac os 9.1
Je n'ai pas réussis à faire les mises à jours vers 9.2.2 bien qu'elles viennent du site d'Apple.

Mais mon véritable problème vient d'openplay. J'ai dl différentes version mais je ne sais pas du tout comment l'installer. En exécutant le .sit j'ai un répertoire "openplay" qui est créé. Qu'est ce que j'en fais ?
J'ai passé plusieurs heures sur le net à la recherche d'information mais comme mon niveau d'anglais est négatif, j'ai forcément dû passer à côté de la solution.

Merci d'avance pour l'aide que vous pourrez m'apporter et je l'espère la solution aussi ^^

Ce message a été modifié par Dikmas - 18 Mar 2012, 18:10.
Go to the top of the page
 
+Quote Post
berlaine
posté 18 Mar 2012, 19:31
Message #2


Macbidouilleur de vermeil !
****

Groupe : Membres
Messages : 830
Inscrit : 13 Aug 2005
Membre no 43 862



Que tout ça est vieux et lointain.! Si j'ai bonne mémoire, vous ne pouvez pas passer directement de 9.1 à 9.2.2 il y a des mises à jour intermédiaires incontournables (de mémoire, je crois, et sans garantie: la 9.1.4 puis la 9.2.1 .... ?) voyez dans la liste disponible et procédez patiemment par étapes en MàJ tout ce que vous trouverez entre deux ..!. Vous disposez chez Apple d'un site en français quant aux forums ... C'est une autre histoire .!

Ce message a été modifié par berlaine - 18 Mar 2012, 19:35.
Go to the top of the page
 
+Quote Post
Dikmas
posté 19 Mar 2012, 07:55
Message #3


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bonjour et merci pour votre réponse

Pour les mises à jour j'ai bien respécté les prérequis à chaque installation de mise à jour.
Mais mon soucis est du côté d'OpenPlay. J'ai encore cherché hier mais je n'ai pas plus trouvé.
Je déséspère vraiment ^^''
Go to the top of the page
 
+Quote Post
berlaine
posté 19 Mar 2012, 10:28
Message #4


Macbidouilleur de vermeil !
****

Groupe : Membres
Messages : 830
Inscrit : 13 Aug 2005
Membre no 43 862



J'ai bien lu mais, personnellement; je n'ai aucun souvenir "d'OPENPLAY" comme étant un élément indispensable aux installations en question. J'avoue même ne pas savoir ce que c'est et pourtant; j'ai toujours un vieux G3 Bousté SONNET à 400 MHz sur lequel j'ai installé voici des années en plus d'OS 9.2.2 , OSX 10.3 (Panther) grâce à X-Post Facto (Vous devez pouvoir retrouver la procédure explicite sous mon pseudo en listant tous mes sujets depuis ... l'origine... enfin presque .!) . Jamais eu le moindre problème de Bug ou quoi que ce soit (à l'époque Apple c'était du sérieux ...!) ; il tourne toujours comme une horloge y compris en réseau WiFi (là uniquement sous OS X) et mon petit fils de 3 ans et demi, s'amuse dessus comme un petit fou, grâce à de vieux logiciels de jeux, plaisants comme tout comme: AKAKLIKÉ ... ATOUT CLIC etc ...
Un regret; je n'ai jamais osé tout reprendre pour y installer Tiger ... Un jour de splin peut être y reviendrais-je .?

Ce message a été modifié par berlaine - 19 Mar 2012, 10:32.
Go to the top of the page
 
+Quote Post
Dikmas
posté 19 Mar 2012, 11:14
Message #5


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Ah non j'ai du mal m'exprimer ^^'
Le problème des mises à jour et d'openplay sont indépendant.

J'ai un vieux jeu, Star wars podracer pour ne pas le citer, qui me demande openplay lors de son exécution.
Go to the top of the page
 
+Quote Post
mazelle jeanne
posté 19 Mar 2012, 14:48
Message #6


Macbidouilleuse d'or !
*****

Groupe : Membres
Messages : 3 546
Inscrit : 11 Jul 2006
Lieu : paris
Membre no 64 304



au début de ton post, tu dis que tu as un répertoire, qu'est-ce qu'il contient ?
parce que dans mon souvenir, pour jouer, tu dois avoir dans ton dossier "extensions" : DrawSprocket, InputSprocket, SoundSprocket et NetSprocket, est-ce que tu les as ?


--------------------
L'ordinateur est un outil, il n'a que l'efficacité de celui qui l'utilise
___________________________________________
G4 avec Mac OS 9.2 et X.4 - Imac G5 avec X.4 Tiger
Go to the top of the page
 
+Quote Post
Dikmas
posté 19 Mar 2012, 17:50
Message #7


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bonsoir

Dans le dossier extension du jeu ?

Merci
Go to the top of the page
 
+Quote Post
mazelle jeanne
posté 19 Mar 2012, 18:04
Message #8


Macbidouilleuse d'or !
*****

Groupe : Membres
Messages : 3 546
Inscrit : 11 Jul 2006
Lieu : paris
Membre no 64 304



non, dans le dossier Extensions du Dossier Système.


--------------------
L'ordinateur est un outil, il n'a que l'efficacité de celui qui l'utilise
___________________________________________
G4 avec Mac OS 9.2 et X.4 - Imac G5 avec X.4 Tiger
Go to the top of the page
 
+Quote Post
ch21
posté 19 Mar 2012, 20:43
Message #9


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 6 880
Inscrit : 4 Nov 2003
Lieu : 21
Membre no 11 306



Oui à priori c'est une histoire d'extensions.
mazelle jeanne est certainement dans le vrai.
J'ai DL la dernière version de ton truc pour voir.
tu devrais mettre les 3 items suivants dans le dossiers extension de ton dossier système.
Avant de les glisser dans le dossier extensions, ouvre le et vérifie qu'il n'existe pas un élément du même nom. Si c'est le cas, archive celui qui est dans le dossier extensions au cas ou…


--------------------
de l'Apple IIGS en GS/OS System 6.0.1 au Mac Mini C2D en Os 10.8.5
Go to the top of the page
 
+Quote Post
Dikmas
posté 19 Mar 2012, 22:23
Message #10


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Ok super
Merci pour vos réponses.
Malheureusement je ne peux pas tester avant ce week end, n'ayant pas accès à l'ordi en question avant.
Je vous tiens au courant si ça marche ou pas.
Merci en tout cas pour vos réponses ^^
Go to the top of the page
 
+Quote Post
berlaine
posté 20 Mar 2012, 10:17
Message #11


Macbidouilleur de vermeil !
****

Groupe : Membres
Messages : 830
Inscrit : 13 Aug 2005
Membre no 43 862



J'ai peut-être mal suivi le sujet mais foin d'OpenPlay, je ne sais toujours pas si vous avez réussi à installer 9.2.2 et s'il tourne normalement sur votre bécane .?
Go to the top of the page
 
+Quote Post
Dikmas
posté 20 Mar 2012, 14:22
Message #12


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Je ne peux pas essayer avant Samedi au plus tôt, n'ayant pas l'ordi à porter avant ce jour.
Je vous dirai ce qu'il en est à ce moment là ^^
Go to the top of the page
 
+Quote Post
Dikmas
posté 24 Mar 2012, 12:14
Message #13


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bonjour

Alors j'ai pus tester tout ce que vous m'avez dit.
ch21, j'ai mis les 3 fichiers que vous m'avez mis à disposition dans le répertoire "extension" de mac os 9. Cette fois ci j'ai le message "openPlay--ProtocolGetUniqueID" est introuvable. Vous devez peut être installer une version plus récente de "OpenPlay--ProtocolGetUniqueID"
Qu'est ce que c'est ?
Le seul sujet que j'ai trouvé sur internet, la seule réponse donnée conseil de tout désinstaller et de tout réinstaller.
Si c'est effectivement ce que je dois faire, comment désinstalle-t-on une application sur mac os 9 déjà ? (ça date d'il y a torp longtemps et j'étais encore trop jeune à l'époque ^^'')

mazelle jeanne, j'ai DrawSprocketLib, InputSprocket Extension, SoundSprocket Filter et SoundSprocketLib, NetSprocketLib
Go to the top of the page
 
+Quote Post
ch21
posté 24 Mar 2012, 22:40
Message #14


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 6 880
Inscrit : 4 Nov 2003
Lieu : 21
Membre no 11 306



L'enfer est pavé de bonnes intentions…
Je crois que je ne t'ai pas mis la dernière version, et comme je suis flemmard (et sous OsX et sans ton jeu) j'ai sélectionné ce qui me semblait être des extensions. Il y en a peut d'autres.
Donc cette fois à toi de faire le tri. Tout ce qui est extensions dans CE PAQUET, tu le mets dans ton dossier extensions.

A priori, il est possible aussi qu'il te faille la dernière version de "CarbonLib" qui normalement se trouve dans Os9.2.2 mais qu'on peut peut-être télécharger ICI (pas sûr)

Pour les MaJ 9.2.1 et 9.2.2 il me semble que les liens Apple pour le français sont morts. Si tu les veux, tu m'envoie un MP…


--------------------
de l'Apple IIGS en GS/OS System 6.0.1 au Mac Mini C2D en Os 10.8.5
Go to the top of the page
 
+Quote Post
Dikmas
posté 25 Mar 2012, 21:45
Message #15


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bon, finalement, avec l'aide de ch21 j'ai réussis à installer les mises à jours. Berlaine, je n'utilisais pas les bonnes update. J'avais pris, sans m'en rendre compte, les versions américaines et non françaises.

En revanche j'ai toujours mon soucis avec OpenPlay et donc impossible de lancer mon jeu. Je suis preneur de toutes les idées et bidouilles à réaliser.
Go to the top of the page
 
+Quote Post
mazelle jeanne
posté 27 Mar 2012, 22:02
Message #16


Macbidouilleuse d'or !
*****

Groupe : Membres
Messages : 3 546
Inscrit : 11 Jul 2006
Lieu : paris
Membre no 64 304



j'ai trouvé CETTE petite explication sur wikipedia car moi non plus je ne savais pas ce qu'était OpenPlay. Et je repose ma question : dans ton premier post tu dis que tu as un .sit que tu as décompacté et ensuite ? Qu'à tu trouvé ? Probablement des éléments à mettre dans le dossier système (sans doute dans les extensions) ?


--------------------
L'ordinateur est un outil, il n'a que l'efficacité de celui qui l'utilise
___________________________________________
G4 avec Mac OS 9.2 et X.4 - Imac G5 avec X.4 Tiger
Go to the top of the page
 
+Quote Post
Anibé
posté 30 Mar 2012, 09:59
Message #17


Adepte de Macbidouille
*

Groupe : Membres
Messages : 184
Inscrit : 14 Jun 2005
Lieu : Paris
Membre no 40 909



Citation (Dikmas @ 19 Mar 2012, 11:14) *
J'ai un vieux jeu, Star wars podracer pour ne pas le citer, qui me demande openplay lors de son exécution.

En fait, si c'est un "vieux jeu", peut-être que la version d'Openplay est trop récente… nan ? ohmy.gif


--------------------
MacIntosh forever : MacMini [size=1] ^o^ et puis dans le musée, 1 G3 bleu et blanc sous MacOs 9.2.2 + DD externe LaCie, et 1 Performa 5200 sous Syst. 7.5 - haha! ça marche encore… - (plus quelques bricoles : c'est les bidouilles qui coûtent le plus cher, finalement, sans parler de la Frrrrrreeeebox!)
Go to the top of the page
 
+Quote Post
Dikmas
posté 30 Mar 2012, 21:21
Message #18


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Peut être Anibé mais dans le message d'erreur c'est dit que je devrais peut être installer une version plus récente.
Demain je vous dis ce qu'il en est mazelle jeanne.
Go to the top of the page
 
+Quote Post
Anibé
posté 31 Mar 2012, 11:57
Message #19


Adepte de Macbidouille
*

Groupe : Membres
Messages : 184
Inscrit : 14 Jun 2005
Lieu : Paris
Membre no 40 909



Citation (Dikmas @ 30 Mar 2012, 21:21) *
Peut être Anibé mais dans le message d'erreur c'est dit que je devrais peut être installer une version plus récente.

Euh oui, et ma très faible culture en matière d'informatique s'oppose en cette circonstance à ma très longue pratique de MacUser: c'est presque toujours ce que dit l'ordinateur quand la version d'une application ne correspond pas à son système (qu'il soit plus ancien ou plus récent…) huh.gif


--------------------
MacIntosh forever : MacMini [size=1] ^o^ et puis dans le musée, 1 G3 bleu et blanc sous MacOs 9.2.2 + DD externe LaCie, et 1 Performa 5200 sous Syst. 7.5 - haha! ça marche encore… - (plus quelques bricoles : c'est les bidouilles qui coûtent le plus cher, finalement, sans parler de la Frrrrrreeeebox!)
Go to the top of the page
 
+Quote Post
Dikmas
posté 31 Mar 2012, 21:14
Message #20


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Le plus simple est de vous donner le lien pour dl cet OpenPlay car il y a pas mal de fichiers.
http://dl.dropbox.com/u/62600222/openplay.rar
Go to the top of the page
 
+Quote Post
eteen
posté 1 Apr 2012, 12:12
Message #21


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 3 769
Inscrit : 2 Jul 2006
Lieu : Quebec, QC, Canada
Membre no 63 847



J'ai trouvé ceci.

http://sourceforge.net/projects/openplay/files/

Selon le Readme.txt...
Citation
What's New
__________

- NetSprocket has been merged into OpenPlay. All functionality remains the same, but now through only one lib(OpenPlay) instead of two.
- Various file organization and cleanup.
- VC projects now exist.

About OpenPlay/NetSprocket
______________

OpenPlay is an Open Source cross-platform networking API, currently running on Windows and MacOS, with a Posix port quasi-completed. NetSprocket, now part of the OpenPlay library, is a higher-level API that runs on top of OpenPlay, with features such as player and group management. For additional background and information, visit <http://www.darwin.org/projects>.



Dans le dossier Builds/Mac Classic, il y a des extensions à mettre dans le dossier système/extensions. Normalement ça devrait aller. Ç'est la version la plus récente...normalement.


A+

Ce message a été modifié par eteen - 2 Apr 2012, 03:02.


--------------------
MacBook Pro 13" retina 8GB + 256 GB ssd en 10.9 + Mac Pro 8 Cores 2.26 en 10.6 + iPhone 5 32 GB + iPad 2
Mac Mini Core Duo 1.66 2GB avec superdrive X.5 **** Mac Mini Core2Duo 1.83 1GB avec combo X.5 en média center + TvMax de Miglia
Powermac G4 Quiksilver 733mhz 9.2.2 - X.4 - Ubuntu **** et d'autres plus vieux encore.
Go to the top of the page
 
+Quote Post
Dikmas
posté 7 Apr 2012, 11:04
Message #22


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Y'a un truc que je dois mal faire mais je vois pas quoi...
Je suis revenu à mon point de départ.

Je désespère ^^''
Go to the top of the page
 
+Quote Post
ch21
posté 7 Apr 2012, 18:49
Message #23


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 6 880
Inscrit : 4 Nov 2003
Lieu : 21
Membre no 11 306



Si le jeu a fonctionné il y a de nombreuses années sur Mac, il est probable que l'explication d'Anibé soit bonne.
Essaie de trouver une version d'openplay de l'époque du jeu…

Ce message a été modifié par ch21 - 7 Apr 2012, 18:51.


--------------------
de l'Apple IIGS en GS/OS System 6.0.1 au Mac Mini C2D en Os 10.8.5
Go to the top of the page
 
+Quote Post
Dikmas
posté 7 Apr 2012, 20:45
Message #24


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



C'est bien là mon soucis. Impossible de trouver une version plus récente que celle de 2003 confused5.gif

Edit : une version plus ancienne, pas plus récente ^^'


Ce message a été modifié par Dikmas - 9 Apr 2012, 19:15.
Go to the top of the page
 
+Quote Post
Dikmas
posté 2 May 2012, 11:11
Message #25


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Bonjour

Je reviens ici pour signaler que j'ai résolut mon problème.
J'ai pus voir l'installation (la vraie) du jeu sur un autre ordi et il suffisait de mettre openplay dans le répertoire du eju. je l'ai fait et ça a marché.
Tout simplement...

Merci à tous pour votre aide en tout cas =)
Go to the top of the page
 
+Quote Post
ch21
posté 2 May 2012, 18:33
Message #26


Macbidouilleur d'Or !
*****

Groupe : Membres
Messages : 6 880
Inscrit : 4 Nov 2003
Lieu : 21
Membre no 11 306



Ah, c'était une vraie-fausse extension alors !
On pouvait toujours chercher… blink.gif wink.gif


--------------------
de l'Apple IIGS en GS/OS System 6.0.1 au Mac Mini C2D en Os 10.8.5
Go to the top of the page
 
+Quote Post
Dikmas
posté 3 May 2012, 06:47
Message #27


Nouveau Membre


Groupe : Membres
Messages : 23
Inscrit : 17 May 2006
Membre no 61 342



Ouais. Par contre j'avais tellement bidouillé que le jeu plantait rapidement ^^'
J'ai dû tout réinstaller à neuf ^^

En tout cas maintenant ça fonctionne et je vais pouvoir passer des moments nostalgiques tongue.gif
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



Nous sommes le : 28th November 2014 - 11:51